import { Globals } from '@react-spring/shared';
import { createStringInterpolator } from '@react-spring/shared/stringInterpolation';
import colorNames from '@react-spring/shared/colors';
import { extendAnimated, withAnimated } from '@react-spring/animated';
export * from '@react-spring/core';

const elements = ['Arc', 'Arrow', 'Circle', 'Ellipse', 'FastLayer', 'Group', 'Image', 'Label', 'Layer', 'Line', 'Path', 'Rect', 'RegularPolygon', 'Ring', 'Shape', 'Sprite', 'Star', 'Tag', 'Text', 'TextPath', 'Transformer', 'Wedge'];

const animated = extendAnimated(withAnimated, elements);

Globals.assign({
  defaultElement: 'Group',
  createStringInterpolator,
  colorNames,

  applyAnimatedValues(instance, props) {
    if (!instance.nodeType) return false;

    instance._applyProps(instance, props);
  }

});

export { animated as a, animated };
//# sourceMappingURL=index.js.map
